glibmm: Glib::TimeoutSource Class Reference

glibmm 2.89.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Glib::TimeoutSource Class Reference
The Main Event Loop

`#include <glibmm/main.h>`

Inheritance diagram for Glib::TimeoutSource:
[legend]

## Public Types
using | CppObjectType = Glib::TimeoutSource
Public Types inherited from Glib::Source
using | CppObjectType = Glib::Source
using | BaseObjectType = GSource

## Public Member Functions
sigc::connection | connect (const sigc::slot< bool()> & slot)
Public Member Functions inherited from Glib::Source
| Source (const Source &)=delete
Source & | operator= (const Source &)=delete
unsigned int | attach (const Glib::RefPtr< MainContext > & context)
| Adds a Source to a context so that it will be executed within that context.
unsigned int | attach ()
| Adds a Source to a context so that it will be executed within that context.
void | destroy ()
| Removes a source from its MainContext, if any, and marks it as destroyed.
void | set_priority (int priority)
| Sets the priority of a source.
int | get_priority () const
| Gets the priority of a source.
void | set_can_recurse (bool can_recurse)
| Sets whether a source can be called recursively.
bool | get_can_recurse () const
| Checks whether a source is allowed to be called recursively.
unsigned int | get_id () const
| Returns the numeric ID for a particular source.
Glib::RefPtr< MainContext > | get_context ()
| Gets the MainContext with which the source is associated.
GSource * | gobj ()
const GSource * | gobj () const
GSource * | gobj_copy () const
void | reference () const
void | unreference () const

## Static Public Member Functions
static Glib::RefPtr< TimeoutSource > | create (unsigned int interval)
Static Public Member Functions inherited from Glib::Source
static Glib::RefPtr< Source > | create ()

## Protected Member Functions
| TimeoutSource (unsigned int interval)
| ~TimeoutSource () noexcept override
bool | prepare (int & timeout) override
bool | check () override
bool | dispatch (sigc::slot_base * slot) override
Protected Member Functions inherited from Glib::Source
| Source ()
| Construct an object that uses the virtual functions prepare(), check() and dispatch().
| Source (GSource * cast_item, GSourceFunc callback_func)
| Wrap an existing GSource object and install the given callback function.
virtual | ~Source () noexcept
sigc::connection | connect_generic (const sigc::slot_base & slot)
void | add_poll (PollFD & poll_fd)
| Adds a file descriptor to the set of file descriptors polled for this source.
void | remove_poll (PollFD & poll_fd)
| Removes a file descriptor from the set of file descriptors polled for this source.
gint64 | get_time () const
| Gets the time to be used when checking this source.
uint64_t | get_time_ns () const
| Gets the time to be used when checking this source.

## Member Typedef Documentation

## ◆ CppObjectType

using Glib::TimeoutSource::CppObjectType = Glib::TimeoutSource

## Constructor & Destructor Documentation

## ◆ TimeoutSource()

Glib::TimeoutSource::TimeoutSource | ( | unsigned int | interval | ) |
| explicitprotected

## ◆ ~TimeoutSource()

Glib::TimeoutSource::~TimeoutSource | ( |  | ) |
| overrideprotectednoexcept

## Member Function Documentation

## ◆ check()

bool Glib::TimeoutSource::check | ( |  | ) |
| overrideprotectedvirtual

Implements Glib::Source.

## ◆ connect()

sigc::connection Glib::TimeoutSource::connect | ( | const sigc::slot< bool()> & | slot | ) |

## ◆ create()

Glib::RefPtr< TimeoutSource > Glib::TimeoutSource::create | ( | unsigned int | interval | ) |
| static

## ◆ dispatch()

bool Glib::TimeoutSource::dispatch | ( | sigc::slot_base * | slot | ) |
| overrideprotectedvirtual

Implements Glib::Source.

## ◆ prepare()

bool Glib::TimeoutSource::prepare | ( | int & | timeout | ) |
| overrideprotectedvirtual

Implements Glib::Source.